hi i am having an issue with two very crucial pieces of software.

Tinyumbrella:
i have the newest version of tinyumbrella, but when i try to use it, it gives me an error code (16). Any suggestions?

IFaith:
this has to do with dumping my 5.0.1 blobs and apticket. I have an ipod touch 3g. When i try dumping on 5.0.1, ifaith gets to the point where it says waiting for ipod touch 3g, and never gets past that point. It worked fine for 5.0, but i want to get this saved too before i downgrade back to 5.0.
Please help!